package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.box.TabEntity
import com.zxhl.cms.net.model.qy.JgqQyEntity
import com.zxhl.cms.net.model.qy.TbGoodsItemEntity

/**
 * 商城分类
 *
 */
class ShopRecommendContract {
    interface View {
        fun setCategoryList(result: List<JgqQyEntity>?)

        fun setShopGoodsList(isRefresh: Boolean, result: List<TbGoodsItemEntity>?)
    }

    interface Presenter {
        fun getCategoryList(tabName: String)

        fun getShopGoodsList(isRefresh: Boolean, tabEntity: TabEntity)

    }
}